# -*- rpm-spec -*-

# This macro is used for the continuous automated builds. It just
# allows an extra fragment based on the timestamp to be appended
# to the release. This distinguishes automated builds, from formal
# Fedora RPM builds
%define _extra_release %{?dist:%{dist}}%{!?dist:%{?extra_release:%{extra_release}}}

Name: autobuild-applet
Version: 1.0.3
Release: 2%{_extra_release}
Summary: Panel applet for indication of Test-AutoBuild status
License: GPL
Group: Development/Tools
Source0: http://download.gna.org/testautobuild/sources/%{name}/%{name}-%{version}.tar.gz
Patch1: %{name}-schema-datatype.patch
URL: http://www.autobuild.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-devel >= 2.2.1
Requires: pygtk2 >= 1.99.12-6
BuildRequires:  pygtk2-devel >= 1.99.12-6
Requires: gnome-python2 >= 1.99.11-7
Requires: gnome-python2-gconf >= 1.99.11-7
BuildRequires: libgnomeui-devel >= 2.0.3-1
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
BuildRequires: desktop-file-utils

%description
Panel applet for indication of Test-AutoBuild cycle status

%prep
%setup -q
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %configure
%__make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  %{name}.desktop

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

update-desktop-database %{_datadir}/applications

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%postun
update-desktop-database %{_datadir}/applications

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO AUTHORS COPYING
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Fri Sep 2 2006 Daniel Berrange <dan@berrange.com> 1.0.3-2
- Added preun, and pre scripts needed for GConf schemas
- Added extra requires on GConf needed by post, pre, preun scripts
- Remove redundant BuildRequires on gtk-devel
- Remove redundant Requires on python, libgnome, libgnomeui
- Remove upstream .desktop file & manually re-install it with desktop-file-install
- Change BuildRoot to match Fedora standards
- Apply patch to fix data type in GConf schema

* Fri Sep 1 2006 Daniel Berrange <dan@berrange.com> 1.0.3-1
- Fixed refresh rate bug
- Made more robust to URL fetch errors
- Tweak UI to bring close to standard HIG

* Tue May 9 2006 Matthew Booth <mbooth@redhat.com> 1.0.2-1
- Fixed build system to work on x86_64

* Sun Feb 13 2005 Daniel Berrange <dan@berrange.com> 0.0.3-1
- Changed icons for applet

* Sun Nov 21 2004 Daniel Berrange <dan@berrange.com> 0.0.2-1
- Added session management support

* Sat Nov 20 2004 Daniel Berrange <dan@berrange.com> 0.0.1-1
- Initial version based on RHN applet spec
